GTGColor.h File Reference

This file defines some useful colors to use in entity values for GTG. More...

`#include <stdint.h>`

Go to the source code of this file.

## Data Structures

struct | gtg_color
| This structure defines a color that can be used by GTG. More...

## Macros

#define | GTG_COLOR_BLUE_POS 0
#define | GTG_COLOR_GREEN_POS 8
#define | GTG_COLOR_RED_POS 16
#define | GTG_COLOR_BLUE_MASK (0x000000ff << GTG_COLOR_BLUE_POS)
#define | GTG_COLOR_GREEN_MASK (0x000000ff << GTG_COLOR_GREEN_POS)
#define | GTG_COLOR_RED_MASK (0x000000ff << GTG_COLOR_RED_POS)

## Typedefs

typedef uint32_t | gtg_rgb_color_t
typedef struct gtg_color * | gtg_color_t

## Functions

static uint8_t | GTG_COLOR_GET_BLUE (gtg_rgb_color_t rgb)
static uint8_t | GTG_COLOR_GET_GREEN (gtg_rgb_color_t rgb)
static uint8_t | GTG_COLOR_GET_RED (gtg_rgb_color_t rgb)
static gtg_rgb_color_t | GTG_COLOR_SET_COLOR (uint8_t r, uint8_t g, uint8_t b)
void | gtg_color_init ()
void | gtg_color_exit ()
gtg_color_t | gtg_color_create (const char *name, uint8_t r, uint8_t g, uint8_t b)
void | gtg_color_free (gtg_color_t color)

## Variables

gtg_color_t | GTG_BLACK
gtg_color_t | GTG_RED
gtg_color_t | GTG_GREEN
gtg_color_t | GTG_BLUE
gtg_color_t | GTG_WHITE
gtg_color_t | GTG_TEAL
gtg_color_t | GTG_DARKGREY
gtg_color_t | GTG_YELLOW
gtg_color_t | GTG_PURPLE
gtg_color_t | GTG_LIGHTBROWN
gtg_color_t | GTG_LIGHTGREY
gtg_color_t | GTG_DARKBLUE
gtg_color_t | GTG_PINK
gtg_color_t | GTG_DARKPINK
gtg_color_t | GTG_SEABLUE
gtg_color_t | GTG_KAKI
gtg_color_t | GTG_REDBLOOD
gtg_color_t | GTG_BROWN
gtg_color_t | GTG_GRENAT
gtg_color_t | GTG_ORANGE
gtg_color_t | GTG_MAUVE
gtg_color_t | GTG_LIGHTPINK

## Detailed Description

This file defines some useful colors to use in entity values for GTG.

Version
  0.1

## Macro Definition Documentation

## GTG_COLOR_BLUE_MASK

#define GTG_COLOR_BLUE_MASK (0x000000ff << GTG_COLOR_BLUE_POS)

## GTG_COLOR_BLUE_POS

#define GTG_COLOR_BLUE_POS 0

## GTG_COLOR_GREEN_MASK

#define GTG_COLOR_GREEN_MASK (0x000000ff << GTG_COLOR_GREEN_POS)

## GTG_COLOR_GREEN_POS

#define GTG_COLOR_GREEN_POS 8

## GTG_COLOR_RED_MASK

#define GTG_COLOR_RED_MASK (0x000000ff << GTG_COLOR_RED_POS)

## GTG_COLOR_RED_POS

#define GTG_COLOR_RED_POS 16

## Typedef Documentation

## gtg_color_t

typedef struct gtg_color* gtg_color_t

## gtg_rgb_color_t

typedef uint32_t gtg_rgb_color_t

## Function Documentation

## gtg_color_create()

gtg_color_t gtg_color_create | ( | const char * | name,
|  | uint8_t | r,
|  | uint8_t | g,
|  | uint8_t | b
| ) |  |

## gtg_color_exit()

void gtg_color_exit | ( |  | ) |

## gtg_color_free()

void gtg_color_free | ( | gtg_color_t | color | ) |

## GTG_COLOR_GET_BLUE()

static uint8_t GTG_COLOR_GET_BLUE | ( | gtg_rgb_color_t | rgb | ) |

inline static

## GTG_COLOR_GET_GREEN()

static uint8_t GTG_COLOR_GET_GREEN | ( | gtg_rgb_color_t | rgb | ) |

inline static

## GTG_COLOR_GET_RED()

static uint8_t GTG_COLOR_GET_RED | ( | gtg_rgb_color_t | rgb | ) |

inline static

## gtg_color_init()

void gtg_color_init | ( |  | ) |

## GTG_COLOR_SET_COLOR()

static gtg_rgb_color_t GTG_COLOR_SET_COLOR | ( | uint8_t | r,
|  | uint8_t | g,
|  | uint8_t | b
| ) |  |

inline static

## Variable Documentation

## GTG_BLACK

gtg_color_t GTG_BLACK

extern

## GTG_BLUE

gtg_color_t GTG_BLUE

extern

## GTG_BROWN

gtg_color_t GTG_BROWN

extern

## GTG_DARKBLUE

gtg_color_t GTG_DARKBLUE

extern

## GTG_DARKGREY

gtg_color_t GTG_DARKGREY

extern

## GTG_DARKPINK

gtg_color_t GTG_DARKPINK

extern

## GTG_GREEN

gtg_color_t GTG_GREEN

extern

## GTG_GRENAT

gtg_color_t GTG_GRENAT

extern

## GTG_KAKI

gtg_color_t GTG_KAKI

extern

## GTG_LIGHTBROWN

gtg_color_t GTG_LIGHTBROWN

extern

## GTG_LIGHTGREY

gtg_color_t GTG_LIGHTGREY

extern

## GTG_LIGHTPINK

gtg_color_t GTG_LIGHTPINK

extern

## GTG_MAUVE

gtg_color_t GTG_MAUVE

extern

## GTG_ORANGE

gtg_color_t GTG_ORANGE

extern

## GTG_PINK

gtg_color_t GTG_PINK

extern

## GTG_PURPLE

gtg_color_t GTG_PURPLE

extern

## GTG_RED

gtg_color_t GTG_RED

extern

## GTG_REDBLOOD

gtg_color_t GTG_REDBLOOD

extern

## GTG_SEABLUE

gtg_color_t GTG_SEABLUE

extern

## GTG_TEAL

gtg_color_t GTG_TEAL

extern

## GTG_WHITE

gtg_color_t GTG_WHITE

extern

## GTG_YELLOW

gtg_color_t GTG_YELLOW

extern